# Class CIM_ContainedDomain
extends CIM_SystemComponent

A relationship that aggregates one or more lower-level AdminDomain instances into a higher-level AdminDomain.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Component
|
+--CIM_SystemComponent
|
+--CIM_ContainedDomain

## Direct Known Subclasses

CIM_RoutingProtocolDomainInAS

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Aggregation | boolean | true
Association | boolean | true
Description | string | A relationship that aggregates one or more lower-level AdminDomain instances into a higher-level AdminDomain.
UMLPackagePath | string | CIM::Core::CoreElements
Version | string | 2.6.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
GroupComponent | CIM_ContainedDomain | CIM_AdminDomain
PartComponent | CIM_ContainedDomain | CIM_AdminDomain

## Class Methods